Skip to content

List card transactions

Request

Retrieve a list of card transactions for a specific card. Transactions are ordered by transaction ID in descending order.

Use in conjunction with the card transaction state change webhook for versions V2.1.0 and later.

Only transactions created in the past 90 days can be accessed. A 422 error code will be returned otherwise.

The debits and credits fields are not included in list responses. Use the Get card transaction endpoint to retrieve these fields.

Security
UserToken
Path
profileIdinteger, (int64)required

The ID of the profile that owns the card.

Example:123456
cardTokenstring, (uuid)required

The unique token identifying the card.

Example:59123122-223d-45f9-b840-0ad4a4f80937
Query
fromCreationTimestring, (date-time)required

Start of range for transaction creation time in UTC, in ISO-8601 format.

Example:fromCreationTime=2025-12-15T00:00:00Z
toCreationTimestring, (date-time)required

End of range for transaction creation time in UTC, in ISO-8601 format.

Example:toCreationTime=2026-01-15T00:00:10Z
pageSizeinteger, (int32), [ 10 .. 100 ]

Page size of query between 10 and 100 inclusive, defaults to 20.

Default:20
Example:pageSize=10
lastIdinteger, (int64)

A pagination cursor that marks your position in the list. Include the ID of the last transaction from the previous page to retrieve the next page (transactions with IDs less than the provided value).

Example:lastId=342672
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v4/spend/profiles/123456/cards/59123122-223d-45f9-b840-0ad4a4f80937/transactions?fromCreationTime=2025-12-15T00%3A00%3A00Z&toCreationTime=2026-01-15T00%3A00%3A10Z&pageSize=10&lastId=342672' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Card transactions retrieved successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
transactionsArray of objects
Response
{ "transactions": [ { "id": 342671, "cardToken": "59123122-223d-45f9-b840-0ad4a4f80937", "type": "ECOM_PURCHASE", "state": "IN_PROGRESS", "declineReason": null, "creationTime": "2022-11-28T08:17:54.241Z", "modificationTime": "2022-11-28T08:17:54.241Z", "purgeTime": "2022-11-28T08:17:54.241Z", "transactionAmount": { … }, "fees": [ … ], "transactionAmountWithFees": { … }, "merchant": { … }, "authorisationMethod": "MANUAL_ENTRY", "approvalCode": "913647", "billingAmount": { … }, "arn": "04300014127798385983852", "pinValidationResult": "ONLINE_PIN_VALIDATED", "balanceChannelReferenceId": "6e71018d-2f4d-4fc3-6711-f517f4664712" } ] }